1 Reply Latest reply on Aug 2, 2020 11:39 PM by ShipingW_81

    Warning: The connected PSoC6 MCU device is out of date...

    FrCa_2686456

      Hello,

       

      I have the following warning when running my application on PSoC Creator 4.2:

       

      Programming device 'PSoC 63 CY8C6347BZI-BLD53 (CM4)' with file 'C:\Users\FreddyC\Documents\PSoC Creator\CNN_Project\PSoC 6 CNN_project.cydsn\CortexM4\ARM_GCC_541\Debug\PSoC 6 CNN_project.hex'.

      Device ID Check

      Warning: The connected PSoC6 MCU device is out of date. Please contact Cypress to get a replacement

       

      I currently have the PSoC 6 BLE Pioneer Kit with the following specifications:

       

      Box Label

      CY8CKIT-062-BLE Rev *D

      1812SO08026

       

      Board Label

      121-60367-01 Rev 13

      1811SO01206

       

      I already communicated with several Cypress Semiconductor representatives (Rou Shuang Ong from Inside Sales, and Ajay Basti), and they recommended to get in touch with technical experts because it seems that the board they gave me should have fixed the problem.

       

      I tried using PSoC creator 4.3, but it didn't fix it. I get the same warning sign. Gladly my application is running, but is there a fix to this problem?

       

      Kind regards,

       

      Freddy